/**********************************************************/
/*                        T I A R E                       */
/* Astronomical Ressources & Ephemeris for TI Calculators */
/*               (c) 2003-2005, Yann DUCHEMIN             */
/* ------------------------------------------------------ */
/* This file is part of TIARE.                            */
/*                                                        */
/* TIARE is free software; you can redistribute it and/or */
/* modify it under the terms of the GNU General Public    */
/* License as published by the Free Software Foundation;  */
/* either version 2 of the License                        */
/*                                                        */
/* TIARE is distributed in the hope that it will be       */
/* useful, but WITHOUT ANY WARRANTY; without even the     */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A   */
/* PARTICULAR PURPOSE. See the GNU General Public         */
/* License for more details.                              */
/*                                                        */
/* You should have received a copy of the GNU General     */
/* Public License along with TIARE; if not, write to      */
/* the Free Software Foundation, Inc., 59 Temple Place,   */
/* Suite 330, Boston, MA  02111-1307  USA                 */
/* ------------------------------------------------------ */
/* File Name : calend.c                                   */
/* Created   : 13 III 2003                                */
/* Modified  : 12 XII 2004                                */
/**********************************************************/

#include "calend.h"

/* ====================================================== */
/* = Function    : Calend                               = */
/* = Input       : structure parameters                 = */
/* = Output      : state                                = */
/* ====================================================== */
short Calend(struct TIME *ptime, struct PLACE *pobs)
{
 char *buffer = NULL; //output buffer

 unsigned short int sd = ptime->ObsDay,		 // to save current day
 										sm = ptime->ObsMonth,  // "						"	 month
 										sy = ptime->ObsYear;	 // "						"  year
 
 // allocate memory for the buffer
 if ((buffer = (char *)calloc(43,sizeof(char))) == NULL)
	return(MSG_MEM);

 // print the current parameter in UTC
 FontSetSys(F_4x6);
 sprintf(buffer,"%d/%02d/%02.4f",ptime->UTYear,ptime->UTMonth,Day2Float(ptime->UTDay,ptime->UTHour,ptime->UTMin,ptime->UTSec));
 DrawStr(2,2,buffer, A_NORMAL);
 sprintf(buffer,"JD: %.4f",YMD2JD(ptime, REALTIME));
 DrawStr(2,8,buffer, A_NORMAL);
 FontSetSys(F_6x8);

 ptime->ObsDay = 1;
 DrawCalendar(ptime);

   free(buffer);
   ptime->ObsDay = sd;
   ptime->ObsMonth = sm;
   ptime->ObsYear = sy;
	 ngetchx();
 return(0);
}
