/**********************************************************/
/*                        T I A R E                       */
/* Astronomical Ressources & Ephemeris for TI Calculators */
/*               (c) 2003-2005, Yann DUCHEMIN             */
/* ------------------------------------------------------ */
/* This file is part of TIARE.                            */
/*                                                        */
/* TIARE is free software; you can redistribute it and/or */
/* modify it under the terms of the GNU General Public    */
/* License as published by the Free Software Foundation;  */
/* either version 2 of the License                        */
/*                                                        */
/* TIARE is distributed in the hope that it will be       */
/* useful, but WITHOUT ANY WARRANTY; without even the     */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A   */
/* PARTICULAR PURPOSE. See the GNU General Public         */
/* License for more details.                              */
/*                                                        */
/* You should have received a copy of the GNU General     */
/* Public License along with TIARE; if not, write to      */
/* the Free Software Foundation, Inc., 59 Temple Place,   */
/* Suite 330, Boston, MA  02111-1307  USA                 */
/* ------------------------------------------------------ */
/* File Name : jupiter.h                                  */
/* Created   : 26 III 2003                                */
/* Modified  : 24 III 2005                                */
/**********************************************************/

#include "tiare_.h"

//---
// Orbital elements of Jupiter:
//    N = 100.4542 + 2.76854E-5 * d
//    i = 1.3030 - 1.557E-7 * d
//    w = 273.8777 + 1.64505E-5 * d
//    a = 5.20256  (AU)
//    e = 0.048498 + 4.469E-9 * d
//    M =  19.8950 + 0.0830853001 * d
//---

#define JUPITERD	12			// Initial Jupiter's diameter for graphical representation
#define JDIAMKM		142984	// Jupiter's diameter in kilometers
