/**********************************************************/
/*                        T I A R E                       */
/* Astronomical Ressources & Ephemeris for TI Calculators */
/*               (c) 2003-2005, Yann DUCHEMIN             */
/* ------------------------------------------------------ */
/* This file is part of TIARE.                            */
/*                                                        */
/* TIARE is free software; you can redistribute it and/or */
/* modify it under the terms of the GNU General Public    */
/* License as published by the Free Software Foundation;  */
/* either version 2 of the License                        */
/*                                                        */
/* TIARE is distributed in the hope that it will be       */
/* useful, but WITHOUT ANY WARRANTY; without even the     */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A   */
/* PARTICULAR PURPOSE. See the GNU General Public         */
/* License for more details.                              */
/*                                                        */
/* You should have received a copy of the GNU General     */
/* Public License along with TIARE; if not, write to      */
/* the Free Software Foundation, Inc., 59 Temple Place,   */
/* Suite 330, Boston, MA  02111-1307  USA                 */
/* ------------------------------------------------------ */
/* File Name : sun.h                                      */
/* Created   : 13 III  2003                               */
/* Modified  : 22   V  2003                               */
/**********************************************************/

#include "tiare_.h"

//---
// Orbital elements of the Sun:
//    N = 0.0
//    i = 0.0
//    w = 282.9404 + 4.70935E-5 * d
//    a = 1.000000  (AU)
//    e = 0.016709 - 1.151E-9 * d
//    M = 356.0470 + 0.9856002585 * d
//---

// Sun's altitude above the horizon
// h = 0 degrees: Center of Sun's disk touches a mathematical horizon
// h = -0.25 degrees: Sun's upper limb touches a mathematical horizon
// h = -0.583 degrees: Center of Sun's disk touches the horizon; atmospheric refraction accounted for
// h = -0.833 degrees: Sun's supper limb touches the horizon; atmospheric refraction accounted for
// h = -6 degrees: Civil twilight (one can no longer read outside without artificial illumination)
// h = -12 degrees: Nautical twilight (navigation using a sea horizon no longer possible)
// h = -15 degrees: Amateur astronomical twilight (the sky is dark enough for most astronomical observations)
// h = -18 degrees: Astronomical twilight (the sky is completely dark)
